org.apache.ignite.internal.processors.configuration.distributed

## Class DistributedDoubleProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty<T>
  - - org.apache.ignite.internal.processors.configuration.distributed.DistributedComparableProperty<Double>
    - - org.apache.ignite.internal.processors.configuration.distributed.DistributedDoubleProperty

All Implemented Interfaces:
  DistributedChangeableProperty<Double>, DistributedProperty<Double>

    public class DistributedDoubleProperty
    extends DistributedComparableProperty<Double>

Implementation of `DistributedProperty` for `Double`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`val`

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributedDoubleProperty` `detachedDoubleProperty(String name)`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.DistributedComparableProperty

`equalTo, greaterOrEqualTo, greaterThan, lessOrEqualTo, lessThan, nonEqualTo`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`addListener, get, getName, getOrDefault, localUpdate, onAttached, onReadyForUpdate, parse, parseNonNegativeInteger, parseNonNegativeLong, parseStringSet, propagate, propagateAsync, propagateAsync, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### detachedDoubleProperty

    public static DistributedDoubleProperty detachedDoubleProperty(String name)

Parameters:
  `name` - Name of property.
Returns:
  Property detached from processor.(Distributed updating are not accessable).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022